const router = require('express').Router();
const homeController = require('../controller/home.js');
const dash = require('../controller/dashboard.js');
const api = require('../controller/api.js');
module.exports = (io)=>
{
    router.route('/').get(homeController.home(io));
    router.route('/api/hasRem').post(api.hasRem(io));
    router.route('/api/getGuildData/').post(api.guildData(io));
    router.route('/api/Change/').post(api.updateGuild(io));
    router.route('/dashboard').get(dash.get(io))
                              .post(dash.post(io));
    return router;
};